Subject: (IPng 6787) Re: IPv6 link local address

From: [email-masked]
Date: Wed, 25 Nov 1998 11:55:29 EST

In a message dated 11/24/98 4:24:57 PM Eastern Standard Time, [email-masked]
writes:

> In IPv6 spec, it only says that link local address should be unique on a
>  single link. There is the possiblity that we can assign the same
>  link-local address to 2 different interfaces in the same node. 

>  It really makes some porting work very hard since in IPv4 world, you can
>  use IP address to identify an interface. 
  
>  In IPv6, since link local address is always assigned, it makes prefect
>  sense to use link local address to identify the interface, just like IPv4
>  does. But if the same link local address is assigned to different
>  interfaces, we have to choose other thing, like interface index/name, to
>  identify the interface.

>  Is there any reason not to force link local address be unqiue in the same
>  node?

Then the addresses would not be link local but would rather perhaps
be a species of node unique.

In any case the implementation seems misarchitected, it might
make perfect sense to have the exact same link local address
on every network to which a host connects -- perhaps a resonably
way to deal with resources that must be accessed before
routing is turned on.  It is incorrect to tailor a protocol specification
to specific hardware or software inadequacies.

Joachim Martillo
<A HREF="http://hometown.aol.com/Telford001/index.html">Telford Tools, Inc.
</A> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Francis Dupont <[email-masked]>
Date: Wed, 25 Nov 1998 20:24:18 +0100

In your previous mail you wrote:

=> it is not the question. The problem is many existing applications
make the wrong statement then an address can designate one interface.
The link-local stuff makes it even more wrong then:
 - we can change the link-local stuff (but this can't fix the
   wrong assumption)
 - we can verify if APIs give the good tools (it is the real object
   of the discussion for me)
 - we can verify if the wrong assumption is not in some specs
   (I believe it is the case for a detail in DHCPv6)
The result should be a recommendation about link-local stuff or
better (because it can fix the deep problem) about how to designate
an interface on and outside a node. I put the two "solutions" because
I believe it is a real problem and a short sentence saying "no we'll
keep the link-local as it" is not an answer (ie say no to a proposed
solution not to the problem :-).

[email-masked]

---

From: [email-masked] (Sam Manthorpe)
Date: Wed, 25 Nov 1998 12:47:21 -0800 (PST)

> make the wrong statement then an address can designate one interface.

But I believe a sockaddr_in6, as currently defined, _can_ uniquely
designate one interface.

> solution not to the problem :-).

Your argument also applies to site-local addresses, I think. I would 
also like to see more discussion on this topic.  The whole question
as to how one should identify sites on multi-sited nodes (and I'm not 
talking about scope_ids), remains a grey area for me.  The naive 
questions I posted to this list on this subject a few weeks back met 
with deathly silence.  I haven't yet worked out if they were simply
too stupid to warrant a reply or if nobody knows the answers ;-)

-- Sam

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Sam Manthorpe, SGI.  tel: (650)933-2856 fax: (650)932-2856  [email-masked]
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------